%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Python Specializing Compiler 
Name:		python26-psyco
Version:	1.6
Release:	1
BuildArch:	i686
License:	MIT
URL:		http://sourceforge.net/projects/psyco
Group:		Networking/File Transfer	
Source0:	psyco-%{version}-src.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: python26-devel

%description
Psyco shows that it is possible to execute Python code at speeds approaching that of fully compiled languages, by "specialization". The current prototype operates on i386-compatible processors and shows 2 to 100 times speed-ups, depending on code. 

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn psyco-%{version}

%build
/usr/bin/python%{PYVER} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
/usr/bin/python%{PYVER} setup.py install --root="$RPM_BUILD_ROOT" 

%files
%defattr(-,root,root)
%{python_sitelib}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.6-1
- Initial CCux package Release
